
$(function() {
	
	if($(":input[name='is_open']:checked")[0].value == 1)
	{
			$('.a1').attr('disabled' , false);
	}else{
			$('.a1').attr('disabled' , true);
	}
	
	
	$(":input[name='is_open']").each(function() {
		$(this).click(function(){
			if($(this).attr('value') == 1)
			{
				$('.a1').attr('disabled' , false);
			}else{
				$('.a1').attr('disabled' , true);
			}
		});
	});
	

	
	$('#registr_content').keyup(function(){
		var size = ($('#registr_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#registr_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#registr_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	
	$('#registr_code_content').keyup(function(){
		var size = ($('#registr_code_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#registr_code_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#registr_code_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
		
		
	$('#downOrder_content').keyup(function(){
		var size = ($('#downOrder_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#downOrder_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#downOrder_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	$('#cancel_content').keyup(function(){
		var size = ($('#cancel_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#cancel_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#cancel_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	
	$('#check_content').keyup(function(){
		var size = ($('#check_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#check_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#check_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
		
		
	$('#retrieve_content').keyup(function(){
		var size = ($('#retrieve_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#retrieve_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#retrieve_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
			
			
	$('#cancel_content').keyup(function(){
		var size = ($('#cancel_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#cancel_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#cancel_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	$('#retrieve_code_content').keyup(function(){
		var size = ($('#retrieve_code_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#retrieve_code_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#retrieve_code_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	$('#registr_code_content').keyup(function(){
		var size = ($('#registr_code_content')[0].value.length);
		if(65 - size > 0)
		{
			$('#registr_code_size').html('你还可以输入'+ (65 - size) + '个字');
		}else{
			$('#registr_code_size').html('你已经超出了65个字了,短信将大于一条');
		}
	});
	
	
/*	
	$(":input[name='is_registr_open']").each(function() {
		$(this).click(function(){		
	
			if($(this).attr('value') == 1)
			{
				$('#my_registr').attr('disabled' , false);
				$('#my_registr_code').attr('disabled' , false);
			}else{
				$('#my_registr').attr('disabled' , true);
				$('#my_registr_code').attr('disabled' , true);
			}
		});
	});
	
	$(":input[name='is_downOrder_open']").each(function() {
		$(this).click(function(){		
	
			if($(this).attr('value') == 1)
			{
				$('#my_downOrder').attr('disabled' , false);
			}else{
				$('#my_downOrder').attr('disabled' , true);
			}
		});
	});
		
		
	$(":input[name='is_cancel_open']").each(function() {
		$(this).click(function(){		
	
			if($(this).attr('value') == 1)
			{
				$('#my_cancel').attr('disabled' , false);
			}else{
				$('#my_cancel').attr('disabled' , true);
			}
		});
	});
			
			
	$(":input[name='is_check_open']").each(function() {									
		$(this).click(function(){		
			if($(this).attr('value') == 1)
			{
				$('#my_check').attr('disabled' , false);
			}else{
				$('#my_check').attr('disabled' , true);
			}
		});
	});
				
	$(":input[name='is_retrieve_open']").each(function() {									
		$(this).click(function(){		
			if($(this).attr('value') == 1)
			{
				$('#my_retrieve').attr('disabled' , false);
				$('#my_retrieve_code').attr('disabled' , false);
			}else{
				$('#my_retrieve').attr('disabled' , true);
				$('#my_retrieve_code').attr('disabled' , true);
			}
		});
	});
	*/	

	$('#O_Submit').click(function(){
								  
		var is_msg = $(":input[name='is_open']:checked")[0].value;
		var is_registr_open = $(":input[name='is_registr_open']:checked")[0].value;
		var is_downOrder_open = $(":input[name='is_downOrder_open']:checked")[0].value;
		var is_cancel_open = $(":input[name='is_cancel_open']:checked")[0].value;
		var is_check_open = 1;
		var is_retrieve_open = $(":input[name='is_retrieve_open']:checked")[0].value;
		
		var acccont = $('#acccont').val();
		
	
		var password = $('#password').val();
		
		var registr = $('#registr_content').val();
		var registr_code = $('#registr_code_content').val();
		

		
		var downOrder = $('#downOrder_content').val();
		var cancel = $('#cancel_content').val();
		var check = $('#check_content').val();
		var retrieve = $('#retrieve_content').val();
		var retrieve_code = $('#retrieve_code_content').val();
		
		
		$.post("?m=admin/msgConfig.updateHandle", { is_msg:is_msg, is_registr:is_registr_open , is_downOrder:is_downOrder_open , is_cancel:is_cancel_open , is_check:is_check_open , is_retrieve:is_retrieve_open , acccont:acccont , password:password , registr:registr , registr_code:registr_code , downOrder:downOrder , cancel:cancel , check:check , retrieve:retrieve , retrieve_code:retrieve_code }, function(data) {
			if(data == 0)
			{
				alert('修改成功！');	
			}else
			{
				alert('修改失败');	
			}
		});
		
		
	});
});